
C  ***********************************************************************
C  *                                                                     *
C  *                *****     SUBROUTINE FFT_2D     *****                *
C  *                                                                     *
C  *    COMPUTE IN-CORE 2D FFT OF THE DATA LOADED INTO THE FULL-SIZE     *
C  *     "FFT" ARRAY.                                                    *
C  *                                                                     *
C  *    ARGUMENTS: ARRAY, NN, NN_LENGTH, KSIGN, IFORM, WORK.             *
C  *    ARRAY     = REAL OR COMPLEX ARRAY TO BE TRANSFORMED.             *
C  *    NN        = ARRAY CONTAINING THE TRANSFORM DIMENSIONS.           *
C  *    NN_LENGTH = LENGTH OF NN ARRAY (I.E. 2 FOR 2D ARRAY).            *
C  *    KSIGN     = +1 FOR FORWARD TRANSFORM.                            *
C  *              = -1 FOR REVERSE TRANSFORM.                            *
C  *    IFORM     =  0 FOR ALL REAL INPUT DATA.                          *
C  *              =  1 FOR ALL OTHER TYPES.                              *
C  *                                                                     *
C  *                                                                     *
C  *    MAY 1989  PURDUE UNIVERSITY VAX 8550, T. BAKER.                  *
C  *    LAST MODIFIED 15-JAN-1992 BY T. BAKER.                           *
C  ***********************************************************************
C
      SUBROUTINE FFT_2D (FFT, IDIM1, IDIM2)
C
      IMPLICIT NONE
C
      INTEGER*4 NN(2), IDIM1, IDIM2
      complex    FFT(IDIM1,IDIM2)
      real*4    work
C  -----------------------------------------------------------------------------
C
      NN(1) = IDIM1
      NN(2) = IDIM2
C
      CALL FOURT (FFT, NN, 2, 1, 0, WORK)               ! TRANSFORM THE DATA
C
      RETURN
      END
